BLOCKATTACK(6)

NAME
blockattack - a puzzle game inspired by Tetris Attack

SYNOPSIS
blockattack [OPTION]...

DESCRIPTION
Block Attack - Rise of the blocks 2.9.0

Block Attack - Rise of the Blocks is a puzzle/blockfall game inspired by Tetris Attack for the SNES.

www.blockattack.net

OPTIONS

-h [ --help ]
    Displays this message

--version
    Display the version information

-c [ --config ] arg
    Read a config file with the values. Can be given multiple times

--nosound
    Disables the sound. Can be used if sound errors prevents you from starting

--priority
    Causes the game to not sleep between frames.

--software-renderer
    Asks SDL2 to use software renderer

--verbose-basic
    Enables basic verbose messages

--verbose-game-controller
    Enables verbose messages regarding controllers

--print-search-path
    Prints the search path and quits

--no-auto-scale
    Do not automatically auto scale

--always-sixteen-nine
    Use 16:9 format even in Window mode

--puzzle-level-file arg
    Sets the default puzzle file to load

--puzzle-single-level arg
    Start the specific puzzle level directly

--bind-text-domain arg
    Overwrites the bind text domain used for finding translations. Default: "/usr/local/share/blockattack/locale/"

--homepath arg
    Set the home folder where settings are saved. The directory will be created if it does not exist. Default: "$HOME/.local/share/blockattack"

-m [ --mod ] arg
    Loads a mod. Later mods have preference

EXAMPLES

blockattack
    Start the game normally

blockattack --nosound
    Start the game without sound. Can be used if sound problems prevents the game from starting

blockattack --puzzle-level-file puzzle.levels --puzzle-single-level 3
    Start the game with the default puzzles in level 3

blockattack --bind-text-domain /dev/null
    Disables translations

REPORTING BUGS
Report bugs to the issue tracker here: <https://github.com/blockattack/blockattack-game/issues>

COPYRIGHT
Copyright © 2005-2022 Poul Sander License GPLv2+: GNU GPL version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html> or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.